"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("../modules/axios"));
const log_1 = __importDefault(require("../utils/log"));
class SignIn {
    static auth(authKey) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!authKey)
                return;
            const url = "/auth";
            const res = yield axios_1.default.post(url, {
                authKey: authKey
            });
            if (res.data.code === 0) {
                return res.data.session;
            }
            else {
                log_1.default.Error(res.data.msg);
            }
            return null;
        });
    }
    static verify({ sessionKey, qq }) {
        return __awaiter(this, void 0, void 0, function* () {
            if (!sessionKey)
                return;
            const url = "/verify";
            const res = yield axios_1.default.post(url, {
                sessionKey,
                qq
            });
            if (res.data.code === 0) {
                return res.data.code;
            }
            else {
                log_1.default.Error(res.data.msg);
                return -1;
            }
        });
    }
}
exports.default = SignIn;
//# sourceMappingURL=SignIn.js.map