"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const log_1 = __importDefault(require("../utils/log"));
const utils_1 = require("../utils");
const config = utils_1.getConfig() || {};
const host = '127.0.0.1';
const port = '8080';
const instance = axios_1.default.create({
    baseURL: `http://${config.host || host}:${config.port || port}`,
    timeout: 10000
});
instance.interceptors.request.use(function (config) {
    return config;
}, function (error) {
    return Promise.reject(error);
});
instance.interceptors.response.use(function (response) {
    return response;
}, function (error) {
    log_1.default.Error('处理消息失败');
    return Promise.reject(error);
});
exports.default = instance;
//# sourceMappingURL=axios.js.map