"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const log_1 = __importDefault(require("./log"));
__export(require("./log"));
const json5 = require('json5');
const fs = require('fs');
const path = require('path');
const delay = {};
exports.delay = delay;
const isEqualStr = (a, b) => a.trim() === b.trim();
exports.isEqualStr = isEqualStr;
const random = (min = 1, max = 10) => Math.floor(Math.random() * (max - min + 1)) + min;
exports.random = random;
const addDelay = (group_id, funcName) => {
    if (!delay[group_id])
        delay[group_id] = { [funcName]: true };
    else
        delay[group_id][funcName] = true;
};
exports.addDelay = addDelay;
const deleteDelay = (group_id, funcName) => {
    delay[group_id][funcName] = false;
};
exports.deleteDelay = deleteDelay;
function dateFtt(fmt, date) {
    const _date = new Date(date.replace('-', '/'));
    const o = {
        'M+': _date.getMonth() + 1,
        'd+': _date.getDate(),
        'h+': _date.getHours(),
        'm+': _date.getMinutes(),
        's+': _date.getSeconds(),
        'q+': Math.floor((_date.getMonth() + 3) / 3),
        S: _date.getMilliseconds()
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (_date.getFullYear() + '').substr(4 - RegExp.$1.length));
    for (let k in o)
        if (new RegExp('(' + k + ')').test(fmt))
            fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    return fmt;
}
exports.dateFtt = dateFtt;
function getConfig() {
    const defaultOptions = {
        authKey: "",
        port: 8080,
        host: "127.0.0.1",
        enableWebsocket: false,
        qq: "",
        enableMsg: true,
        enableEvent: false
    };
    const _path = path.join(process.cwd(), './mirai-config.json');
    try {
        const file = fs.readFileSync(path.join(process.cwd(), './mirai-config.json'), 'utf8');
        const config = json5.parse(file);
        return config;
    }
    catch (e) {
        fs.writeFileSync(_path, JSON.stringify(defaultOptions, null, 2));
        log_1.default.Error(`读取配置文件失败，已创建默认配置，请在${_path}下进行修改`);
        return null;
    }
}
exports.getConfig = getConfig;
//# sourceMappingURL=index.js.map