"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const json5_1 = __importDefault(require("json5"));
const log = console.log;
class Log {
    static Info(...args) {
        log(chalk_1.default.cyan.apply(chalk_1.default, initMsg(args)));
    }
    static Error(...args) {
        log(chalk_1.default.red.apply(chalk_1.default, initMsg(args)));
    }
    static Warning(...args) {
        log(chalk_1.default.yellow.apply(chalk_1.default, initMsg(args)));
    }
    static Success(...args) {
        log(chalk_1.default.greenBright.apply(chalk_1.default, initMsg(args)));
    }
}
function initMsg(args) {
    return args.map(item => {
        if (typeof item === 'string') {
            return item;
        }
        return json5_1.default.stringify(item);
    });
}
exports.default = Log;
//# sourceMappingURL=log.js.map